Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class JSListenerInfo

    java.lang.Object
      org.eclipse.rwt.lifecycle.JSListenerInfo

Deprecated. Use `IClientObject#listen(String, boolean)` instead

    @Deprecated
    public final class JSListenerInfo

extends java.lang.Object

Constructor Summary
`JSListenerInfo(java.lang.String eventType, java.lang.String jsListener, JSListenerType jsListenerType)` Deprecated.

Method Summary
`java.lang.String` `getEventType()` Deprecated.
`java.lang.String` `getJSListener()` Deprecated.
`JSListenerType` `getJSListenerType()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSListenerInfo

    public JSListenerInfo(java.lang.String eventType,
                          java.lang.String jsListener,
                          JSListenerType jsListenerType)

  Deprecated.

Method Detail

### getEventType

    public java.lang.String getEventType()

  Deprecated.

### getJSListener

    public java.lang.String getJSListener()

  Deprecated.

### getJSListenerType

    public JSListenerType getJSListenerType()

  Deprecated.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.